## ros-one-twist-mux-msgs 2.1.0-0jammy.20251023.0340

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(twist_mux_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation actionlib actionlib_msgs)

include_directories(include)

add_action_files(
  DIRECTORY action
  FILES
    JoyPriority.action
    JoyTurbo.action)

generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime actionlib_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-one-twist-mux-msgs (2.1.0-0jammy.20251023.0340) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 23 Oct 2025 03:40:47 +0000

ros-one-twist-mux-msgs (2.1.0-0jammy) jammy; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 25 Jun 2018 00:00:00 -0000

ros-one-twist-mux-msgs (2.0.0-0jammy) jammy; urgency=high

  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 12 Jul 2016 00:00:00 -0000

ros-one-twist-mux-msgs (1.0.0-0jammy) jammy; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 22 May 2015 00:00:00 -0000

ros-one-twist-mux-msgs (0.1.0-0jammy) jammy; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 04 Apr 2015 00:00:00 -0000

ros-one-twist-mux-msgs (0.0.1-0jammy) jammy; urgency=high

  * Add twist_mux msgs
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-twist-mux-msgs
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <efernandez@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-twist-mux-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-message-runtime
Description: The twist_mux msgs and actions package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-twist-mux-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-twist-mux-msgs 2.1.0-0jammy.20260221.0019

=== debian/changelog ===
ros-one-twist-mux-msgs (2.1.0-0jammy.20260221.0019) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 21 Feb 2026 00:19:47 +0000

## ros-one-twist-mux-msgs 2.1.0-0noble.20251023.0337

=== debian/changelog ===
ros-one-twist-mux-msgs (2.1.0-0noble.20251023.0337) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 23 Oct 2025 03:37:59 +0000

ros-one-twist-mux-msgs (2.1.0-0noble) noble; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 25 Jun 2018 00:00:00 -0000

ros-one-twist-mux-msgs (2.0.0-0noble) noble; urgency=high

  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 12 Jul 2016 00:00:00 -0000

ros-one-twist-mux-msgs (1.0.0-0noble) noble; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 22 May 2015 00:00:00 -0000

ros-one-twist-mux-msgs (0.1.0-0noble) noble; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 04 Apr 2015 00:00:00 -0000

ros-one-twist-mux-msgs (0.0.1-0noble) noble; urgency=high

  * Add twist_mux msgs
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000

## ros-one-twist-mux-msgs 2.1.0-0noble.20260221.0047

=== debian/changelog ===
ros-one-twist-mux-msgs (2.1.0-0noble.20260221.0047) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 21 Feb 2026 00:47:07 +0000
